/*
				About Dialog
 */

#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <gtk/gtk.h>


/*
 *	About Dialog:
 */
typedef struct _about_dlg_struct		about_dlg_struct;
struct _about_dlg_struct {

	GtkWidget	*toplevel;
	GtkAccelGroup	*accelgrp;
	gboolean	processing;
	gint		busy_count,
			freeze_count;
	gpointer	core_ptr;

	GtkWidget	*main_vbox,
			*notebook,
			*credits_clist,
			*license_clist,
			*ok_btn;

};
#define ABOUT_DLG(p)	((about_dlg_struct *)(p))


extern about_dlg_struct *AboutDlgNew(gpointer core_ptr);
extern gboolean AboutDlgIsMapped(about_dlg_struct *d);
extern void AboutDlgMap(about_dlg_struct *d);
extern void AboutDlgUnmap(about_dlg_struct *d);
extern void AboutDlgDelete(about_dlg_struct *d);


#endif	/* ABOUTDIALOG_H */
